## nbsphinx0.3 0.4.1+zero.3.5+ds

=== doc/requirements.txt ===
sphinx>=1.5.1
nbconvert!=5.4
ipykernel

=== debian/changelog ===
nbsphinx0.3 (0.4.1+zero.3.5+ds-1) unstable; urgency=medium

  * Forked from nbsphinx package to maintain Python 2 support for Buster
    (Closes: #917418, #918079, #920021).

 -- Jerome Benoit <calculus@rezozer.net>  Wed, 23 Jan 2019 12:25:41 +0000

=== debian/control ===
Source: nbsphinx0.3
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Jerome Benoit <calculus@rezozer.net>
Build-Depends: debhelper (>= 11),
Build-Depends-Indep: dh-python,
                     libjs-mathjax,
                     pandoc,
                     python-all,
                     python-docutils,
                     python-entrypoints,
                     python-ipykernel,
                     python-jupyter-client,
                     python-nbconvert (>=5.4-2),
                     python-nbformat,
                     python-setuptools,
                     python-sphinx,
                     python3-ipykernel,
                     rdfind,
                     symlinks
Standards-Version: 4.3.0
Homepage: https://nbsphinx.rtfd.org/
Vcs-Git: https://salsa.debian.org/python-team/modules/nbsphinx0.3.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/nbsphinx0.3

Package: python-nbsphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Suggests: python-nbsphinx0.3-doc (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- Python2
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This package installs the library for Python 2.

Package: python-nbsphinx0.3-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: www-browser
Enhances: python-nbsphinx (= ${source:Version})
Description: Jupyter Notebook Tools for Sphinx -- Python2 - doc
 nbsphinx is a Sphinx extension that provides a source parser for *.ipynb
 files. Custom Sphinx directives are used to show Jupyter Notebook code cells
 (and of course their results) in both HTML and LaTeX output.
 Un-evaluatednotebooks, i.e., notebooks without stored output cells, will be
 automatically executed during the Sphinx build process.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

export PYBUILD_NAME=nbsphinx

export NBSPHINX_VERSION_RELEASE ?= "$(DEB_VERSION_UPSTREAM) (Debian $(DEB_VERSION))"
export NBSPHINX_TODAY_DATETRIPLET ?= "$(shell date -u -d @$(SOURCE_DATE_EPOCH) +%Y-%m-%d)"

default:
	@uscan --no-conf --dehs --report || true

%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

DEB_SPHINXDOC_DOCHTMLDIR=$(CURDIR)/debian/python-nbsphinx0.3-doc/usr/share/doc/python-nbsphinx0.3/html
DEB_SPHINXDOC_HTMLSEDDIR=$(CURDIR)/debian/adhoc/lintian/privacy-breach
override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR)/src python2 -m sphinx -b html doc $(DEB_SPHINXDOC_DOCHTMLDIR)
	## lintian privacy-breach fix
	$(foreach htmlsed,$(wildcard $(DEB_SPHINXDOC_HTMLSEDDIR)/*.html.sed), \
		sed -i -f $(htmlsed) $(DEB_SPHINXDOC_DOCHTMLDIR)/$(notdir $(patsubst %.sed,%,$(htmlsed))) $(NEWLINE)\
		)
	for html in $(DEB_SPHINXDOC_DOCHTMLDIR)/*.html $(DEB_SPHINXDOC_DOCHTMLDIR)/subdir/*.html ; do \
		sed -i -f $(DEB_SPHINXDOC_HTMLSEDDIR)/common.sed $$html ;\
	done
	cp -vpr -t $(DEB_SPHINXDOC_DOCHTMLDIR) $(CURDIR)/debian/adhoc/lintian/privacy-breach/www
	## lintian duplicate-files fix
	rdfind -outputname /dev/null -makesymlinks true $(DEB_SPHINXDOC_DOCHTMLDIR)
	symlinks -r -c -s -v $(DEB_SPHINXDOC_DOCHTMLDIR)
	## cf Debian Bug report #739300
	ln -s /usr/share/javascript/mathjax $(DEB_SPHINXDOC_DOCHTMLDIR)/_static
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_compress:
	dh_compress -Xwww

get-info:
	@echo "NBSPHINX_VERSION_RELEASE:   "$(NBSPHINX_VERSION_RELEASE)
	@echo "NBSPHINX_TODAY_DATETRIPLET: "$(NBSPHINX_TODAY_DATETRIPLET)


define NEWLINE


endef

=== debian/tests/control ===
Tests: perform-doc
Depends:
 pandoc,
 python-nbsphinx,
 python-matplotlib,
 python-numpy,
 python-pandas,
 python3-ipykernel
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=repack,compression=xz,dversionmangle=s/0.4.1+zero/0/;s/\+ds//,repacksuffix=+ds,uversionmangle=s/0.3/0.4.1+zero.3/;s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/nbsphinx/nbsphinx-(0.3.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
